%define plugin	skinenigmang
%define rel	2

Summary:	VDR plugin: EnigmaNG skin
Name:		vdr-plugin-%plugin
Version:	0.1.5
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPL+
URL:		http://andreas.vdr-developer.org/enigmang/
Source0:	https://github.com/vdr-projects/vdr-plugin-skinenigmang/archive/refs/tags/%{version}/vdr-plugin-%plugin-%version.tar.gz
Source1:	http://andreas.vdr-developer.org/enigmang/download/skinenigmang-logos-xpm-hi-20070702.tgz
BuildRequires:	pkgconfig(vdr) >= 1.6.0-7
BuildRequires:	pkgconfig(GraphicsMagick++)
BuildRequires:	freetype2-devel
Requires:	vdr-abi = %vdr_abi

%description
"EnigmaNG" is a standalone VDR skin based on the "Enigma" text2skin
add-on.

%vdr_chanlogo_notice

%prep
%setup -q -n %name-%version -a 1
mv %plugin/HISTORY HISTORY.logos
mv %plugin/README README.logos
%vdr_plugin_prep

%vdr_plugin_params_begin %plugin
# Channel logo directory
var=LOGODIR
param="-l LOGODIR"
default=%{_vdr_chanlogodir}
# Set directory where epgimages are stored
var=IMAGESDIR
param="-i IMAGESDIR"
default=%{_vdr_plugin_cachedir}/epgimages
%vdr_plugin_params_end

cat > README.install.urpmi <<EOF
%vdr_chanlogo_notice
EOF

%build
%vdr_plugin_build \
	SKINENIGMA_USE_PLUGIN_EPGSEARCH=1 \
	SKINENIGMA_USE_PLUGIN_AVARDS=1 \
	SKINENIGMA_USE_PLUGIN_MAILBOX=1 \
	HAVE_IMAGEMAGICK=GRAPHICS \
	HAVE_FREETYPE=1

%install
%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_themedir}
install -m644 themes/*.theme %{buildroot}%{_vdr_themedir}

install -d -m755 %{buildroot}%{_vdr_plugin_datadir}
cp -a %{plugin} %{buildroot}%{_vdr_plugin_datadir}

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
ln -s %{_vdr_plugin_datadir}/%{plugin} %{buildroot}%{_vdr_plugin_cfgdir}/%{plugin}

%files -f %plugin.vdr
%doc README* HISTORY*
%{_vdr_plugin_datadir}/%{plugin}
%{_vdr_plugin_cfgdir}/%{plugin}
%{_vdr_themedir}/*.theme


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.1.5-2.mga10
+ Revision: 2218109
- Mageia 10 Mass Rebuild

* Mon Mar 27 2023 philippedidier <philippedidier> 0.1.5-1.mga9
+ Revision: 1950468
- new version 0.1.5 now building remove patch merged upstream
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for vdr 2.4.6

* Fri Feb 14 2020 umeabot <umeabot> 0.1.2-14.mga8
+ Revision: 1517772
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.1.2-13.mga7
+ Revision: 1301592
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 wally <wally> 0.1.2-12.mga7
+ Revision: 1195470
- add patch from upstream to use graphicsmagick instead of imagemagick

* Wed Dec 27 2017 wally <wally> 0.1.2-11.mga7
+ Revision: 1185720
- rebuild for new imagemagick

* Sun May 28 2017 shlomif <shlomif> 0.1.2-10.mga6
+ Revision: 1105253
- rebuild for new imagemagick lib major

* Fri Feb 12 2016 umeabot <umeabot> 0.1.2-9.mga6
+ Revision: 959136
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 0.1.2-8.mga6
+ Revision: 808499
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Jan 05 2015 anssi <anssi> 0.1.2-7.mga5
+ Revision: 808459
- rebuild for new VDR

* Mon Nov 24 2014 anssi <anssi> 0.1.2-6.mga5
+ Revision: 798681
- rebuild for new VDR
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 0.1.2-3.mga5
+ Revision: 666798
- rebuild for imagemagick

* Tue Oct 22 2013 umeabot <umeabot> 0.1.2-2.mga4
+ Revision: 544767
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 0.1.2-1.mga4
+ Revision: 498582
- new version 0.1.2

* Thu Sep 19 2013 fwang <fwang> 0.1.1-10.mga4
+ Revision: 481496
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.1.1-9.mga4
+ Revision: 464414
- rebuild for new imagemagick

* Tue May 28 2013 fwang <fwang> 0.1.1-8.mga4
+ Revision: 429201
- rebuild for new imagemagick

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-7.mga3
+ Revision: 385319
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 0.1.1-6.mga3
+ Revision: 330789
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.1.1-5.mga3
+ Revision: 305091
- update rpm group

* Wed Mar 07 2012 anssi <anssi> 0.1.1-5.mga2
+ Revision: 221054
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 0.1.1-4.mga2
+ Revision: 214853
- rebuild for VDR 1.7.23

* Mon Sep 26 2011 dmorgan <dmorgan> 0.1.1-3.mga2
+ Revision: 147868
- Rebuild against new libMagick++
+ fwang <fwang>
- rebuild for new imagemagick

* Sat May 14 2011 anssi <anssi> 0.1.1-1.mga1
+ Revision: 98543
- new version
- update sysconfig
- drop old scriplets
- fix license tag
- imported package vdr-plugin-skinenigmang


* Thu Jul 15 2010 Funda Wang <fwang@mandriva.org> 0.1.0-3mdv2011.0
+ Revision: 553585
- rebuild

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.1.0-2mdv2010.0
+ Revision: 401088
- rebuild for new VDR
- adapt for vdr compilation flags handling changes, bump buildrequires

* Tue Jul 14 2009 Anssi Hannula <anssi@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 395754
- new version

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.0.6-5mdv2009.1
+ Revision: 359364
- rebuild for new vdr

* Thu Jan 29 2009 Götz Waschk <waschk@mandriva.org> 0.0.6-4mdv2009.1
+ Revision: 335087
- rebuild for new libmagick

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Oct 12 2008 Anssi Hannula <anssi@mandriva.org> 0.0.6-3mdv2009.1
+ Revision: 292795
- rebuild for new imagemagick (libmagick major was not changed despite
  breaking ABI)
- use backward-compatible pkg-config call for libmagick

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.6-2mdv2009.0
+ Revision: 197976
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.6-1mdv2009.0
+ Revision: 197721
- new version
- add vdr_plugin_prep
- bump buildrequires on vdr-devel
- update URL
- build with support for extra features with other plugins
- fix build with recent libmagick

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.5-4mdv2008.1
+ Revision: 145200
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-3mdv2008.1
+ Revision: 103210
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-2mdv2008.0
+ Revision: 50044
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-1mdv2008.0
+ Revision: 49915
- initial Mandriva release

